<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SpawnOptions](./bitburner.spawnoptions.md)

## SpawnOptions interface


**Signature:**

```typescript
interface SpawnOptions extends RunOptions 
```
**Extends:** [RunOptions](./bitburner.runoptions.md)

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [spawnDelay?](./bitburner.spawnoptions.spawndelay.md) |  | number | _(Optional)_ Number of milliseconds to delay before spawning script, defaults to 10000 (10s). Must be a positive integer. |

